Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.engine
Class ParallelExecutionStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy
          org.ascape.model.engine.IncrementalExecutionStrategy
              org.ascape.model.engine.ParallelExecutionStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AgentOrderStrategy, RuleOrderStrategy

    public abstract class ParallelExecutionStrategy

extends IncrementalExecutionStrategy

The Class ParallelExecutionStrategy.

See Also:
  Serialized Form

Constructor Summary
`ParallelExecutionStrategy(StrategyFactory factory)` Instantiates a new parallel execution strategy.

Method Summary
`void` | `execute()` Execute.
`void` | `executeParallel()` Execute parallel.
`boolean` | `hasNextParallel()` Checks for next parallel.
`void` | `incrementParallel()` Increment parallel.
`void` | `nextParallelSequence()` Next parallel sequence.

Methods inherited from class org.ascape.model.engine.IncrementalExecutionStrategy
`clone, fire, getAgentIterator, getAgentSelector, getCurrentAgent, getCurrentRule, getRules, getRuleSelector, getScape, hasNext, increment, reset, setAgentIterator, setAgentSelector, setRuleSelector`

Methods inherited from class org.ascape.model.engine.ExecutionStrategy
`chain, isSupportsParallel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelExecutionStrategy

    public ParallelExecutionStrategy(StrategyFactory factory)

  Instantiates a new parallel execution strategy.

  Parameters:
    `factory` - the factory

Method Detail

### execute

    public void execute()

  Description copied from class: `ExecutionStrategy`
  Execute.

  Overrides:
    `execute` in class `IncrementalExecutionStrategy`

### executeParallel

    public final void executeParallel()

  Execute parallel.

### hasNextParallel

    public boolean hasNextParallel()

  Checks for next parallel.

  Returns:
    true, if successful

### incrementParallel

    public void incrementParallel()

  Increment parallel.

### nextParallelSequence

    public void nextParallelSequence()

  Next parallel sequence.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD